## sffview 0.2

=== Makefile ===
#
# File:		Makefile for samples
# Author:	Robert Roebling
# Created:	1999
# Updated:	
# Copyright:	(c) 1998 Robert Roebling
#
# This makefile requires a Unix version of wxWindows
# to be installed on your system. This is most often
# done typing "make install" when using the complete
# sources of wxWindows or by installing the two
# RPM packages wxGTK.XXX.rpm and wxGTK-devel.XXX.rpm
# under Linux.
#

CC = egcc 

PROGRAM = sffview

OBJECTS = $(PROGRAM).o sfftobmp.o

# implementation

.SUFFIXES:	.o .cpp

.cpp.o :
	$(CC) -O2 -m486 -c `wx-config --cflags` -o $@ $<

all:    $(PROGRAM)

$(PROGRAM):	$(OBJECTS)
	$(CC) -o $(PROGRAM) $(OBJECTS) `wx-config --libs`

clean: 
	rm -f *.o $(PROGRAM)

## sffview 0.3

=== Makefile ===
--- 
+++ 
@@ -13,23 +13,28 @@
 # under Linux.
 #
 
-CC = egcc 
+CC = g++ 
 
 PROGRAM = sffview
+OBJECTS = $(PROGRAM).o common.o codes.o decoder.o sfffile.o sffapp.o sffdoc.o
 
-OBJECTS = $(PROGRAM).o sfftobmp.o
+WXCONFIG_CPP = `wxgtk2-2.5-config --cflags`
+#WXCONFIG_CPP = `wx-config --cflags`
+
+WXCONFIG_LD = `wxgtk2-2.5-config --libs`
+#WXCONFIG_LD = `wx-config --libs`
 
 # implementation
 
 .SUFFIXES:	.o .cpp
 
 .cpp.o :
-	$(CC) -O2 -m486 -c `wx-config --cflags` -o $@ $<
+	$(CC) -g -march=athlon -mcpu=athlon-xp -c $(WXCONFIG_CPP) -o $@ $<
 
 all:    $(PROGRAM)
 
 $(PROGRAM):	$(OBJECTS)
-	$(CC) -o $(PROGRAM) $(OBJECTS) `wx-config --libs`
+	$(CC) -o $(PROGRAM) $(OBJECTS) $(WXCONFIG_LD)
 
 clean: 
 	rm -f *.o $(PROGRAM)

## sffview 0.4

=== Makefile ===
--- 
+++ 
@@ -18,18 +18,42 @@
 PROGRAM = sffview
 OBJECTS = $(PROGRAM).o common.o codes.o decoder.o sfffile.o sffapp.o sffdoc.o
 
-WXCONFIG_CPP = `wxgtk2-2.5-config --cflags`
-#WXCONFIG_CPP = `wx-config --cflags`
+#WXCONFIG_CPP = `wxgtk2-2.5-config --cflags`
+WXCONFIG_CPP = `wx-config --cflags`
 
-WXCONFIG_LD = `wxgtk2-2.5-config --libs`
-#WXCONFIG_LD = `wx-config --libs`
+#WXCONFIG_LD = `wxgtk2-2.5-config --libs --static`
+WXCONFIG_LD = `wx-config --libs`
 
+#		/usr/lib/libglib-2.0.a \
+#		/usr/lib/libgobject-2.0.a \
+#		/usr/lib/libgmodule-2.0.a \
+#		/usr/lib/libgthread-2.0.a \
+
+WXCONFIG_LD_STATIC = -L/usr/X11R6/lib \
+		/usr/local/lib/libwx_gtk2_html-2.5.a \
+		/usr/local/lib/libwx_gtk2_adv-2.5.a \
+		/usr/local/lib/libwx_gtk2_core-2.5.a \
+		/usr/local/lib/libwx_base_xml-2.5.a \
+		/usr/local/lib/libwx_base_net-2.5.a \
+		/usr/local/lib/libwx_base-2.5.a \
+		-Wl,-Bstatic -pthread \
+		-lpangoxft-1.0 -lpangox-1.0 -lpangoft2-1.0 -lpango-1.0  -lgtk-x11-2.0 -lpangoxft-1.0 -lpangox-1.0 -lgdk-x11-2.0 -latk-1.0 -lpangoxft-1.0 -lpangox-1.0 -lgdk_pixbuf-2.0 \
+		-lgobject-2.0 -lgmodule-2.0 -lgthread-2.0 -lglib-2.0  -lfontconfig  -lexpat -ltiff -lpng -ljpeg -lz -lXft -lfreetype \
+		-Wl,-Bdynamic \
+		-lXi -lXrandr -lX11 -lXext -lXcursor -lXrender  -lXinerama  \
+		-lm -lpthread -ldl
+		
+#LDADD = -L/usr/X11R6/lib \
+#        -Wl,-Bstatic -lgtk -lgdk -rdynamic -lgmodule -lglib -Wl,-Bdynamic \
+#	        -lXi -lXext -lX11 -lXpm -lSM -lICE \
+#		        -Wl,-Bstatic -ltiff -ljpeg -lz -Wl,-Bdynamic \
+#			        -lm -lpthread -ldl
 # implementation
 
 .SUFFIXES:	.o .cpp
 
 .cpp.o :
-	$(CC) -g -march=athlon -mcpu=athlon-xp -c $(WXCONFIG_CPP) -o $@ $<
+	$(CC) -g -march=i686 -Os -c $(WXCONFIG_CPP) -o $@ $<
 
 all:    $(PROGRAM)

## sffview 0.4.1

=== debian/changelog ===
sffview (0.4.1-2) unstable; urgency=low

  * Add "Recommends: libgnomeprintui2.2-0" which is required for printing to
    work, and which libwxgtk2.8-0 only suggests.  (Closes: #645159)

 -- Olly Betts <olly@survex.com>  Sun, 11 Dec 2011 02:45:40 +0000

sffview (0.4.1-1) unstable; urgency=low

  * New maintainer (Closes: #561202)
  * New upstream version.
    + Incorporates all of the patches we were applying, so remove them.
  * debian/control:
    + "Standards-Version: 3.9.2" (no changes required).
    + Improve long description (and fix typos).
    + Drop versioning on libboost-filesystem-dev build-dep as the requirement
      is fulfilled by oldstable.
    + Update "Homepage" URL - old one was to a subpage which is now 404.
  * Update to use "3.0 (quilt)" source format.
  * debian/menu: Fix typo: "Structed" -> "Structured"
  * Fix typo in (debian-specific) man page.

 -- Olly Betts <olly@survex.com>  Thu, 10 Nov 2011 23:10:44 +0000

sffview (0.4-5) unstable; urgency=low

  * QA upload.
  * Update to build against wxwidgets2.8 rather than 2.6 - requires a small
    patch: debian/patches/04-wxwidgets2.8-compatibility.diff
  * Update versioning on debhelper B-D and add versioning to quilt B-D on the
    advice of lintian.

 -- Olly Betts <olly@survex.com>  Thu, 13 Oct 2011 03:59:45 +0000

sffview (0.4-4) unstable; urgency=low

  * QA upload.
  * Extract all Debian-specific changes into quilt patch series.
  * Adjust 01-fix-ftbfs-with-gcc-4.4.diff to really fix FTBFS under GCC 4.4.
    (Closes: #504859)
  * Fix lintian warnings:
    - Correct quote usage in debian/sffview.sgml so that generated groff file
      has correct format
    - Update debian/copyright to incldue a "Copyright (C) [..]" statement
    - Add patch to prepend "-Wl,--as-needed" before WXCONFIG_LD to drop
      unnecessary dependencies

 -- Chris Lamb <lamby@debian.org>  Sun, 02 Aug 2009 01:30:59 +0100

sffview (0.4-3) unstable; urgency=low

  * QA upload.
  * Apply patch by Martin Michlmayr to fix building under GCC 4.4. Tested
    using gcc-snapshot 20090718-1. (Closes: #504859)
  * debian/control:
    - Bump Standards-Version to 3.8.2
    - Move homepage in long description to 'Homepage' field
    - Add ${misc:Depends} to binary Depends
  * debian/rules:
    - Don't ignore errors in clean target
    - Remove NOP configure/configure-stamp target
    - Move to minimal dh7 debian/rules
    - Correct upstream changelog handling to avoid installing it as "changes".
  * Use 'Applications' section in menu file, not 'Apps'.

 -- Chris Lamb <lamby@debian.org>  Tue, 28 Jul 2009 14:55:40 +0200

sffview (0.4-2) unstable; urgency=low

  * Orphan the package.

 -- Matthias Klose <doko@debian.org>  Sun, 01 Mar 2009 22:55:44 +0100

sffview (0.4-1) unstable; urgency=low

  * New upstream version.
  * Fix build failures with g++-4.3. Closes: #455326.
  * Update watch file. Closes: #450218.

 -- Matthias Klose <doko@debian.org>  Mon, 28 Jan 2008 22:12:38 +0100

sffview (0.3-7) unstable; urgency=low

  * Rebuild using g++-4.1.

 -- Matthias Klose <doko@debian.org>  Sun,  9 Jul 2006 15:23:20 +0000

sffview (0.3-6) unstable; urgency=low

  * Fix spelling error in package description (closes: #300039).

 -- Matthias Klose <doko@debian.org>  Fri, 14 Apr 2006 23:13:47 +0000

sffview (0.3-5) unstable; urgency=low

  * Build-depend on libwxgtk2.6-dev.

 -- Matthias Klose <doko@debian.org>  Wed, 24 Aug 2005 07:13:50 +0000

sffview (0.3-4) unstable; urgency=low

  * Fix typo in package description (closes: #300039).

 -- Matthias Klose <doko@debian.org>  Fri, 25 Mar 2005 21:39:02 +0100

sffview (0.3-3) unstable; urgency=low

  * Add build dependency on libboost-filesystem-dev (closes: #290966).

 -- Matthias Klose <doko@debian.org>  Sat, 22 Jan 2005 09:48:48 +0100

sffview (0.3-2) unstable; urgency=low

  * Do not use backward compatible headers (closes: #278018).
  * Build using libwxgtk2.5-dev.
  * New upstream version handles files passe on the cmd line (closes: #290493).
  * Fix build failures (Daniel J. Priem).

 -- Matthias Klose <doko@debian.org>  Sat, 15 Jan 2005 10:52:47 +0100

sffview (0.3-1) unstable; urgency=low

  * New upstream version.
  * Packaging fixes.

 -- Matthias Klose <doko@debian.org>  Sun, 26 Sep 2004 22:06:59 +0200

sffview (0.2-5) unstable; urgency=low

  * Build using g++-3.4 on amd64 (closes: #278018).

 -- Matthias Klose <doko@debian.org>  Wed, 10 Nov 2004 19:41:15 +0100

sffview (0.2-4) unstable; urgency=low

  * Packaging fixes.

 -- Matthias Klose <doko@debian.org>  Sun, 26 Sep 2004 22:18:29 +0200

sffview (0.2-3) unstable; urgency=low

  * build-dep on libwxgtk2.4-dev instead of wxwin2.2-headers
  * build-dep on g++-3.2 instead of g++ (3.3 has no strstream.h)
  * comment out TRUE and FALSE defs in  sfftobmp.h
  * Makefile use g++-3.2 instead of g++
  * fix path to COPYING in debian/copyright
  * added homepage URL to long description
  * recompile on sid

 -- Achim Bohnet <ach@mpe.mpg.de>  Wed, 15 Sep 2004 20:54:10 +0200

sffview (0.2-2) stable; urgency=low

  * fix typo in pkg description and manpage
  * fill debian/copyright, delete README.debian

 -- Achim Bohnet <ach@mpe.mpg.de>  Wed, 19 Mar 2003 01:44:19 +0100

sffview (0.2-1) stable; urgency=low

  * Initial Woody package
  * Makefile: use wx-config --cxxflags instead of --cflags
  * added simple manpage sffview.1

 -- Achim Bohnet <ach@mpe.mpg.de>  Wed, 19 Mar 2003 01:22:14 +0100

=== debian/control ===
Source: sffview
Section: graphics
Priority: optional
Maintainer: Olly Betts <olly@survex.com>
Build-Depends: debhelper (>= 7.0.50~), docbook-to-man, libwxgtk2.8-dev, libboost-filesystem-dev
Standards-Version: 3.9.2
Homepage: http://sourceforge.net/projects/sfftools/

Package: sffview
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: libgnomeprintui2.2-0
Description: Structured Fax File (SFF) Viewer
 sffview is an X11 viewer for SFF files.  SFF is the "Structured Fax File"
 format for group 3 fax documents which ISDN cards supporting the CAPI
 specification expect and create.

=== debian/watch ===
version=3
opts="uversionmangle=s/_/./g" \
http://sf.net/sfftools/ sffview_([\d\._]*)_src.zip

## sffview 0.5.0

=== Makefile ===
#
# File:		Makefile for samples
# Author:	Robert Roebling
# Created:	1999
# Updated:	
# Copyright:	(c) 1998 Robert Roebling
#
# This makefile requires a Unix version of wxWindows
# to be installed on your system. This is most often
# done typing "make install" when using the complete
# sources of wxWindows or by installing the two
# RPM packages wxGTK.XXX.rpm and wxGTK-devel.XXX.rpm
# under Linux.
#

CC = g++ 

PROGRAM = sffview
OBJECTS = $(PROGRAM).o common.o codes.o decoder.o sfffile.o sffapp.o sffdoc.o

WXCONFIG_CPP = `wx-config --cflags`

WXCONFIG_LD = `wx-config --libs`

.SUFFIXES:	.o .cpp

.cpp.o :
	$(CC) -g -Os -c $(WXCONFIG_CPP) -o $@ $<

all:    $(PROGRAM)

$(PROGRAM):	$(OBJECTS)
	$(CC) -o $(PROGRAM) $(OBJECTS) -Wl,--as-needed $(WXCONFIG_LD)

clean: 
	rm -f *.o $(PROGRAM)

=== debian/changelog ===
sffview (0.5.0-2) unstable; urgency=medium

  * debian/control: Use gtk3 build of wxwidgets3.0.
  * debian/control: Policy version 4.1.3:
    + debian/menu: Remove (deprecated in 3.9.8)
  * debian/compat,debian/control: Upgrade to compat level 11.
  * debian/watch: Use https; fix regex to match without trailing /.

 -- Olly Betts <olly@survex.com>  Fri, 23 Mar 2018 08:53:43 +1300

sffview (0.5.0-1) unstable; urgency=low

  * New upstream release.
  * Use wxwidgets3.0 instead of wxwidgets2.8. (Closes: #645159)
  * Don't package doc/readme - it isn't useful in Debian.
  * "Standards-Version: 3.9.5" (no changes required).

 -- Olly Betts <olly@survex.com>  Thu, 14 Nov 2013 10:25:53 +0000

sffview (0.4.1-5) unstable; urgency=low

  * Drop 'Recommends: libgnomeprintui2.2-0' as that package has been removed
    from the archive.  Sadly this reopens #645159.

 -- Olly Betts <olly@survex.com>  Sun, 09 Jun 2013 01:08:18 +0000

sffview (0.4.1-4) unstable; urgency=low

  * Really upgrade to debhelper compat 9.
  * Patch upstream Makefile to pay attention to CPPFLAGS, CXXFLAGS and
    LDFLAGS (no C code, so no need for CFLAGS).  New patch:
    accept-externally-specified-compiler-flags.patch
  * Add lintian overrides for hardening-no-fortify-functions false positives.

 -- Olly Betts <olly@survex.com>  Tue, 04 Jun 2013 22:17:02 +0000

sffview (0.4.1-3) unstable; urgency=low

  * Upgrade to debhelper compat 9 to enable hardening flags.
  * "Standards-Version: 3.9.4" (no changes required).
  * debian/watch: Update to working version from Bart Martens.

 -- Olly Betts <olly@survex.com>  Thu, 30 May 2013 02:06:09 +0000

=== debian/control ===
Source: sffview
Section: graphics
Priority: optional
Maintainer: Olly Betts <olly@survex.com>
Build-Depends: debhelper (>= 11), docbook-to-man, libwxgtk3.0-gtk3-dev, libboost-filesystem-dev
Standards-Version: 4.1.3
Homepage: http://sourceforge.net/projects/sfftools/

Package: sffview
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Structured Fax File (SFF) Viewer
 sffview is an X11 viewer for SFF files.  SFF is the "Structured Fax File"
 format for group 3 fax documents which ISDN cards supporting the CAPI
 specification expect and create.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

clean:
	rm -f sffview.1
	dh $@

override_dh_auto_build:
	dh_auto_build
	docbook-to-man debian/sffview.sgml > sffview.1

override_dh_installchangelogs:
	dh_installchangelogs doc/changes

=== debian/watch ===
version=3
opts=uversionmangle=s/_/./g \
https://sourceforge.net/p/sfftools/code-0/27/tree/sffview/tags/ REL(\d[^/]*)
